Plugin error when quality controlling sequences and building Feature Table and Feature Data

Hello! When I used “qiime dada2 denoise-paired”, it gives an error:
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmplvmoaop5/forward /tmp/tmplvmoaop5/reverse /tmp/tmplvmoaop5/output.tsv.biom /tmp/tmplvmoaop5/track.tsv /tmp/tmplvmoaop5/filt_f /tmp/tmplvmoaop5/filt_r 284 279 0 0 2.0 2.0 2 consensus 1.0 36 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.3 / RcppParallel: 4.4.4

  1. Filtering Error in sendMaster(try(lapply(X = S, FUN = FUN, …), silent = TRUE)) :
    write error, closing pipe to the master
    Error in names(answer) <- names1 :
    ‘names’ attribute [71] must be the same length as the vector [47]
    Execution halted
    Traceback (most recent call last):
    File “/home/ccllab/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 257, in denoise_paired
    run_commands([cmd])
    File “/home/ccllab/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/ccllab/miniconda3/envs/qiime2-2020.2/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmplvmoaop5/forward’, ‘/tmp/tmplvmoaop5/reverse’, ‘/tmp/tmplvmoaop5/output.tsv.biom’, ‘/tmp/tmplvmoaop5/track.tsv’, ‘/tmp/tmplvmoaop5/filt_f’, ‘/tmp/tmplvmoaop5/filt_r’, ‘284’, ‘279’, ‘0’, ‘0’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘36’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/ccllab/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</home/ccllab/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/decorator.py:decorator-gen-455>”, line 2, in denoise_paired
File “/home/ccllab/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/ccllab/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/ccllab/miniconda3/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 272, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

I encountered this problem for the first time,and I don’t know how to solve this problem,does anyone know? I would appreciate!

And here is command:
qiime dada2 denoise-paired \

–i-demultiplexed-seqs primer-trimmed-demux_16S_PE.qza \

–p-trim-left-f 0 \

–p-trim-left-r 0 \

–p-trunc-len-f 284 \

–p-trunc-len-r 279 \

–p-n-threads 36 \

–o-representative-sequences dada2_denoising//rep-seqs-dada2.qza \

–o-table dada2_denoising//table-dada2.qza \

–o-denoising-stats dada2_denoising/stats-dada2.qza

Welcome to the QIIME 2 forum, @87JOE! :tada:
That’s a pretty gnarly error message you’ve got there. I haven’t seen this one in person, but there are a few similar posts here, and I suspect you’re experiencing a sneaky out-of-memory error.

Some digging produced these issues (1, 2), both of which discuss the fact that DADA2’s memory use tends to scale up alongside the number of cores requested during its filtering stage. You may be able to fix this by increasing memory allocation, or decreasing the number of cores you’re running on (–n-threads). Most people go with the latter, but you can make the call based on what resources you have available.

Let me know how it goes! :crossed_fingers:

Chris :hamster:

Thank you! This help me a lot,I found the problem is "–p-n-threads " . Although I have enough CPUs, I changed the thread to 4 and ran it successfully

1 Like